<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)

        Dim filename As String = Server.MapPath("TextFile.zip")

        Dim infile As System.IO.FileStream = System.IO.File.OpenRead(filename)
        Dim deflateStream As New System.IO.Compression.DeflateStream( _
            infile, System.IO.Compression.CompressionMode.Decompress)
        Dim buffer(infile.Length + 100) As Byte

        Dim offset As Integer = 0
        Dim totalCount As Integer = 0
        While True
            Dim bytesRead As Integer = deflateStream.Read(buffer, offset, 100)
            If bytesRead = 0 Then
                Exit While
            End If
            offset += bytesRead
            totalCount += bytesRead
        End While

        Dim outfile As System.IO.FileStream = _
            System.IO.File.Create(System.IO.Path.ChangeExtension(filename, "txt"))
        outfile.Write(buffer, 0, buffer.Length)
        outfile.Close()

    End Sub
</script>